package com.chenyang.druid.sql.dialect.mariadb.ast.statement;

import com.chenyang.druid.sql.ast.SQLName;
import com.chenyang.druid.sql.dialect.mariadb.ast.FullTextType;
import com.chenyang.druid.sql.dialect.mariadb.visitor.MariadbASTVisitor;

public class MariadbShowCreateFullTextStatement extends MariadbStatementImpl implements MariadbShowStatement {
   private FullTextType type;
   private SQLName name;

   public SQLName getName() {
      return this.name;
   }

   public void setName(SQLName name) {
      if (name != null) {
         name.setParent(this);
      }

      this.name = name;
   }

   public FullTextType getType() {
      return this.type;
   }

   public void setType(FullTextType type) {
      this.type = type;
   }

   public void accept0(MariadbASTVisitor visitor) {
      visitor.visit(this);
      visitor.endVisit(this);
   }
}
